Package Gnumed :: Package wxpython :: Module gmDataMiningWidgets :: Class cPatientListingCtrl |
[frames] | no frames]

# Class cPatientListingCtrl

source code

    wx.lib.mixins.listctrl.ListCtrlAutoWidthMixin --+
                                                    |
         wx.lib.mixins.listctrl.ColumnSorterMixin --+
                                                    |
                                      wx.ListCtrl --+
                                                    |
                        gmListWidgets.cReportListCtrl --+
                                                        |
                                                       cPatientListingCtrl

Instance Methods
__init__(self, *args, **kwargs) <patient_key> must index or name a column in self.__data | source code
Inherited from `gmListWidgets.cReportListCtrl`: `CacheBestSize`, `Fit`, `FitInside`, `GetAdjustedBestSize`, `GetBestSize`, `GetBestSizeTuple`, `GetBestVirtualSize`, `GetClientSize`, `GetEffectiveMinSize`, `GetListCtrl`, `GetMaxClientSize`, `GetMaxHeight`, `GetMaxSize`, `GetMaxWidth`, `GetMinClientSize`, `GetMinHeight`, `GetMinSize`, `GetMinWidth`, `GetSecondarySortValues`, `GetSize`, `GetVirtualSize`, `GetVirtualSizeTuple`, `InvalidateBestSize`, `OnSortOrderChanged`, `SetBestFittingSize`, `SetClientSize`, `SetClientSizeWH`, `SetInitialSize`, `SetMaxClientSize`, `SetMaxSize`, `SetMinClientSize`, `SetMinSize`, `SetSize`, `SetSizeHints`, `SetSizeHintsSz`, `SetSizeWH`, `SetVirtualSize`, `SetVirtualSizeHints`, `SetVirtualSizeHintsSz`, `SetVirtualSizeWH`, `append_string_items_and_data`, `deselect_selected_item`, `get_column_labels`, `get_item`, `get_item_data`, `get_items`, `get_selected_item_data`, `get_selected_items`, `get_selected_string_items`, `get_string_items`, `remove_item`, `remove_items_safely`, `set_column_widths`, `set_columns`, `set_data`, `set_resize_column`, `set_selections`, `set_string_items`

Class Variables
| patient_pk_data_key = `property(__get_patient_pk_data_key, lamb`...``
Inherited from `gmListWidgets.cReportListCtrl`: `activate_callback`, `column_labels`, `data`, `delete_callback`, `deselect_callback`, `edit_callback`, `extend_popup_menu_callback`, `item_data`, `item_tooltip_callback`, `items`, `new_callback`, `searchable_columns`, `secondary_sort_column`, `select_callback`, `selected_item_data`, `selected_items`, `selected_string_items`, `selections`, `sort_order_tags`, `string_items`

Method Details

### __init__(self, *args, **kwargs) (Constructor) | source code
<patient_key> must index or name a column in self.__data Overrides: gmListWidgets.cReportListCtrl.__init__

Class Variable Details

  ### patient_pk_data_key Value:
      property(__get_patient_pk_data_key, lambda x: x)